Bug 70938 - make rpm command line do error checking
make rpm command line do error checking
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 22:56 EDT by Jamie Zawinski
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-06 22:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Zawinski 2002-08-06 22:56:10 EDT
I wasted quite a bit of time finding out that

    rpm --noscripts -e abisuite

does not work, but

    rpm -e --noscripts abisuite

does what I expected.

If one argument (for example, --noscripts) cannot preceed another argument (for
example, -e) then an error message should be produced, it shouldn't just
silently ignore it.

Of course it SHOULD just do what I obviously meant, but I'm going to aim low and
just ask that you add *diagnostics* rather than fixing the whole braindead chain
of logic in the argument parser.

Whoever inflicted the rpm command-line on us should be skinned alive with a
rusty spoon.

rpm-4.0.4-7x
RH 7.0
Linux 2.2.16-22 #1 Tue Aug 22 16:49:06 EDT 2000 i686 unknown
Comment 1 Jeff Johnson 2002-08-07 15:39:35 EDT
I believe this is fixed in rpm-4.1 (hmmm, checking, yes).

You have no idea how much pain the rpm CLI has caused me.
I believe that most all the real weirdities have been addressed,
with the exception of better diagnostics for conflicting
and/or mutually exclusive options. However save your spoon
for someone else, it wasn't me who created all the options.

Note You need to log in before you can comment on or make changes to this bug.